library(ggplot2)
library(dplyr)
library(tidyr)

#faili sisselugemine ja korrigeerimine
J117=read.csv("PT1-T1.1-J1.1.7.csv",header=TRUE, encoding ="UTF-8")
J117$vColorValue=0
J117=na.omit(J117)
J117$color=c("#6666CC","#1E272E","#4DB3D9","grey","#8FA300","#295200","#FF3600","#bf6900")

#joonis
ggplot(J117) +
  geom_rect(xmin = J117$x0[1], xmax = J117$x0[1]+J117$w[1],   ymin = J117$y0[1], ymax = J117$y0[1]+J117$h[1],   fill = J117$color[1],col="white")+
  geom_text(x=(J117$x0[1]+J117$w[1]/2), y=(J117$y0[1]+J117$h[1]/2), label=J117$name[1],col="white",fontface="bold")+
  geom_rect(xmin = J117$x0[2], xmax = J117$x0[2]+J117$w[2],   ymin = J117$y0[2], ymax = J117$y0[2]+J117$h[2],   fill = J117$color[2],col="white")+
  geom_text(x=(J117$x0[2]+J117$w[2]/2), y=(J117$y0[2]+J117$h[2]/2), label=J117$name[2],col="#4DB3D9",fontface="bold",cex=3)+
  geom_rect(xmin = J117$x0[3], xmax = J117$x0[3]+J117$w[3],   ymin = J117$y0[3], ymax = J117$y0[3]+J117$h[3],   fill = J117$color[3],col="white")+
  geom_text(x=(J117$x0[3]+J117$w[3]/2), y=(J117$y0[3]+J117$h[3]/2), label=J117$name[3],col="#6666CC",fontface="bold")+
  geom_rect(xmin = J117$x0[4], xmax = J117$x0[4]+J117$w[4],   ymin = J117$y0[4], ymax = J117$y0[4]+J117$h[4],   fill = J117$color[4],col="white")+
  geom_text(x=(J117$x0[4]+J117$w[4]/2), y=(J117$y0[4]+J117$h[4]/2), label=J117$name[4],col="black",fontface="bold")+
  geom_rect(xmin = J117$x0[5], xmax = J117$x0[5]+J117$w[5],   ymin = J117$y0[5], ymax = J117$y0[5]+J117$h[5],   fill = J117$color[5],col="white")+
  geom_text(x=(J117$x0[5]+J117$w[5]/2), y=(J117$y0[5]+J117$h[5]/2), label=J117$name[5],col="white",fontface="bold",cex=3)+
  geom_rect(xmin = J117$x0[6], xmax = J117$x0[6]+J117$w[6],   ymin = J117$y0[6], ymax = J117$y0[6]+J117$h[6],   fill = J117$color[6],col="white")+
  geom_text(x=(J117$x0[6]+J117$w[6]/2), y=(J117$y0[6]+J117$h[6]/2), label=J117$name[6],col="#8FA300",fontface="bold")+
  geom_rect(xmin = J117$x0[7], xmax = J117$x0[7]+J117$w[7],   ymin = J117$y0[7], ymax = J117$y0[7]+J117$h[7],   fill = J117$color[7],col="white")+
  geom_text(x=(J117$x0[7]+J117$w[7]/2), y=(J117$y0[7]+J117$h[7]/2), label=J117$name[7],col="white",fontface="bold")+
  geom_rect(xmin = J117$x0[8], xmax = J117$x0[8]+J117$w[8],   ymin = J117$y0[8], ymax = J117$y0[8]+J117$h[8],   fill = J117$color[8],col="white")+
  geom_text(x=(J117$x0[8]+J117$w[8]/2), y=(J117$y0[8]+J117$h[8]/2), label=J117$name[8],col="white",fontface="bold")+
  theme_minimal()
  

